Skip to content

店铺相关视频列表

简介

获取指定店铺相关的视频列表数据,支持以下功能:

  • 支持按店铺 ID 查询
  • 返回视频详细信息,包括视频描述、播放量、互动数据等
  • 包含视频关联的销售数据,如销量、销售额等

接口

bash
    POST /shop/v1/videoList

request body

字段类型必选描述
filterobject过滤参数
orderbyarray排序参数
pageinteger默认:1
pagesizeinteger默认:10

filter 可选值

字段类型必选描述
seller_idstring店铺 ID
creator_uidstring店铺关联达人uid
creator_unique_idstring店铺关联达人唯一ID @xxxxxxx
seller_namestring店铺名称
regionstring店铺所在国家/地区
create_time_rangeobject视频发布时间范围:{"min":1700000000,"max":1700000000}

seller_nameregion 必须同时传

orderby 可选值

字段必选描述
play_count播放量
digg_count点赞数
comment_count评论数
share_count分享数
units_sold销量
gmv销售额

request example

bash
curl 'https://openapi.fastmoss.com/shop/v1/videoList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "seller_id": "7495150597721263036",
        # "creator_uid": "xxxxxxxxxxx",
        # "creator_unique_id": "xxxxxxx",
        # "seller_name": "xxxxxx",
        # "region": "US",
        #"create_time_range": {
        #    "min": 1700000000,
        #    "max": 1700000000
        #}
    },
    "orderby": [{
        "field": "play_count",
        "order": "desc"
    }],
    # "orderby": [{
    #     "field": "digg_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "comment_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "share_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "units_sold",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "gmv",
    #     "order": "desc"
    # }],
    "page": 1,
    "pagesize": 10
}'

response body

data.list

字段类型描述
product_idstring商品 ID
seller_idstring店铺 ID
video_idstring视频 ID
uidstring用户 ID
is_adint是否为广告
seller_idstring卖家 ID
comment_countint评论数
digg_countint点赞数
play_countint播放量
share_countint分享数
create_datestring创建日期
sold_countint销量
sale_amountfloat销售额
regionstring国家/地区
videoobject视频信息对象

data.list.video

字段类型描述
video_descstring视频描述
coverstring封面图片 URL
durationint视频时长(秒)
fastmoss_urlstringFastmoss 链接
tiktok_urlstringTikTok 链接
uidstring用户 ID
create_timetimestampCreate Time

data.total

字段类型描述
totalstring总记录数

response example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product_id": "1729421229342823356",
        "video_id": "7468186866076880170",
        "uid": "6790997286808093702",
        "is_ad": "0",
        "create_time": 1738838400,
        "seller_id": "7495150597721263036",
        "comment_count": "0",
        "digg_count": "14",
        "play_count": "4592",
        "share_count": "0",
        "create_date": "2025-02-06",
        "sold_count": "28",
        "sale_amount": "700.0000",
        "video": {
          "video_desc": "@tarte cosmetics #tiktokshoploveatfirstfind #fypシ #tartecosmetics ",
          "cover": "https://s.500fd.com/tt_video/oIMPp5BmEi2ZEHYBiVzCkBKA0IlmpTGfwAhiOI",
          "duration": "12",
          "fastmoss_url": "https://www.fastmoss.com/zh/media-source/video/7468186866076880170",
          "tiktok_url": "https://www.tiktok.com/@brriiddgett/video/7468186866076880170",
          "uid": "6790997286808093702",
          "create_time": 1738838400
        },
        "region": "US"
      }
    ],
    "total": "3809"
  },
  "message": "success",
  "timestamp": 1743573480,
  "request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}